templates:
- freestyle
- base

variables:
  description: openpose for people and pose detection
  keywords:
  - pose

  repository: https://github.com/CentralLabFacilities/openpose.git
  branches:
  - master

  extra-requires:
  - freestyle: cuda
  - freestyle: cudnn
  - nature: cmake
    target: opencv-plus-contrib-cuda
    version: 3.2.0-avx-fix
  - cmake: caffe
  extra-provides:
  - freestyle: openpose

  platform-requires:
    ubuntu:
      xenial:
        packages:
        - build-essential
        - libprotobuf-dev
        - libleveldb-dev
        - libsnappy-dev
        - libhdf5-serial-dev
        - protobuf-compiler
        - libgflags-dev
        - libgoogle-glog-dev
        - liblmdb-dev
        - libatlas-dev

  shell.command: |
    export PREFIX=${toolkit.dir}
    cp Makefile.config.Ubuntu16.example Makefile.config
    make -j2 ${toolkit.dir}

versions:
- name: cpu
  variables:
    extra-requires:
    - freestyle: cuda
    - freestyle: cudnn
    - nature: cmake
      target: opencv-plus-contrib-cuda
      version: 3.2.0-avx-fix
    - cmake: caffe
    shell.command: |
      export CFLAGS="-march=native -O2 ${CFLAGS}"
      export CXXFLAGS="-march=native -O2 ${CXXFLAGS}"
      export CPPFLAGS="-march=native -O2 ${CPPFLAGS}"
      export PREFIX=${toolkit.dir}
      cp Makefile.config.Ubuntu16_CPU.example Makefile.config
      make lib -j2 ${toolkit.dir}
